Summary: An enhanced version of csh, the C shell
Name: tcsh
Version: 6.22.01
Release: 1
License: BSD
Group: System Environment/Shells
URL: http://www.tcsh.org/
Source0: ftp://ftp.astron.com/pub/tcsh/%{name}-%{version}.tar.gz

Patch0: %{name}-%{version}-aix.patch
Patch1: %{name}-6.20.00-manpage-memoryuse.patch

Provides: csh = %{version}
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: autoconf, automake, patch, coreutils

%description
Tcsh is an enhanced but completely compatible version of csh, the C
shell.  Tcsh is a command language interpreter which can be used both
as an interactive login shell and as a shell script command processor.
Tcsh includes a command line editor, programmable word completion,
spelling correction, a history mechanism, job control and a C language
like syntax.


%prep
%setup -q
export PATH=/opt/freeware/bin:$PATH
%patch1 -p1
%patch0


%build
autoreconf
export CC=xlc_r
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --disable-nls \
    --disable-nls-catalogs \
    --with-libiconv-prefix=%{_prefix} \
    --without-hesiod
make %{?_smp_mflags} all LIBES=-lcurses


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
export PATH=/opt/freeware/bin:$PATH

mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man1 ${RPM_BUILD_ROOT}%{_bindir}
install -p -m 755 tcsh ${RPM_BUILD_ROOT}%{_bindir}/tcsh
install -p -m 644 tcsh.man ${RPM_BUILD_ROOT}%{_mandir}/man1/tcsh.1

(
  cd ${RPM_BUILD_ROOT}
  mkdir -p usr/bin
  mkdir -p usr/linux/bin
  cd usr/bin
  ln -sf ../..%{_bindir}/tcsh .
  cd ../linux/bin
  ln -sf ../../..%{_bindir}/tcsh csh
)


%post
if [ ! -f /etc/shells ]; then
    echo "%{_bindir}/tcsh" >> /etc/shells
    echo "%{_bindir}/csh"  >> /etc/shells
else
    grep -q '^%{_bindir}/tcsh$' /etc/shells || \
        echo "%{_bindir}/tcsh" >> /etc/shells
    grep -q '^%{_bindir}/csh$'  /etc/shells || \
         echo "%{_bindir}/csh" >> /etc/shells
fi


%postun
if [ ! -x %{_bindir}/tcsh ]; then
    grep -v '^%{_bindir}/tcsh$' /etc/shells | \
        grep -v '^%{_bindir}/csh$' > /etc/shells.rpm && \
        mv /etc/shells.rpm /etc/shells
fi


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc BUGS FAQ Fixes NewThings WishList complete.tcsh README.md
%{_bindir}/*
%{_mandir}/man1/*.1
/usr/bin/tcsh
/usr/linux/bin/csh


%changelog
* Thu Mar 26 2020 Michael Perzl <michael@perzl.org> - 6.22.01-1
- updated to version 6.22.01

* Thu Mar 26 2020 Michael Perzl <michael@perzl.org> - 6.22.00-1
- updated to version 6.22.00

* Mon May 27 2019 Michael Perzl <michael@perzl.org> - 6.21.00-1
- updated to version 6.21.00

* Wed Dec 14 2016 Michael Perzl <michael@perzl.org> - 6.20.00-1
- updated to version 6.20.00

* Fri Jan 01 2016 Michael Perzl <michael@perzl.org> - 6.19.00-1
- updated to version 6.19.00

* Mon Feb 18 2013 Michael Perzl <michael@perzl.org> - 6.18.01-2
- dropped the Linux-related 'closem' patch
- changed the definition of NOFILE for AIX in order to speed up the startup
  time by avoiding useless "EBADF" ("bad file descriptor") errors

* Wed Jan 30 2013 Michael Perzl <michael@perzl.org> - 6.18.01-1
- update to version 6.18.01

* Mon Jan 10 2011 Michael Perzl <michael@perzl.org> - 6.17-1
- first version for AIX V5.1 and higher based on the Fedora 15 version 6.17-10
